package com.suncreate.kafkaConsumerMonitor.utils;

import java.io.*;
import java.nio.charset.Charset;

public class FileUtil {

    public static void mkdirs(String path) {
        File file = new File(path);
        if (!file.exists() && !file.isDirectory()) {
            file.mkdirs();
        }
    }

    public static void write(String filePath, String content) throws IOException {
        FileOutputStream fos = new FileOutputStream(filePath);
        byte[] bytes = content.getBytes(Charset.forName("utf-8"));
        fos.write(bytes);
        fos.close();
    }

    public static void append(String filePath, String content) throws IOException {
        FileOutputStream fos = new FileOutputStream(filePath, true);
        byte[] bytes = content.getBytes(Charset.forName("utf-8"));
        fos.write(bytes);
        fos.close();
    }

    public static void delete(String filePath) {
        File file = new File(filePath);
        if (file.exists() && file.isFile()) {
            file.delete();
        }
    }

}
